import { StyleSheet } from "react-native";
import {
  appColors,
  fontSizes,
  appFonts,
  windowHeight,
  windowWidth,
} from "@src/themes";

const styles = StyleSheet.create({
  mainView: { flex: 1 },
  mapView: { height: "100%", backgroundColor: "white" },
  mapView1: { height: "100%" },
  backView: {
    height: windowHeight(80),
    width: "100%",
    position: "absolute",
    zIndex: 2,
    alignItems: "center",
    shadowColor: appColors.blackColor,
    shadowOffset: { width: 0, height: 4 },
    shadowOpacity: 0.1,
    shadowRadius: 5,
    elevation: 1,
    borderBottomLeftRadius: windowWidth(20),
    borderBottomRightRadius: windowWidth(20),
    paddingHorizontal: windowWidth(25),
  },
  backButton: {
    width: windowHeight(35),
    height: windowHeight(35),
    borderColor: appColors.lightGray,
    borderRadius: windowHeight(35),
    borderWidth: windowWidth(0.45),
    alignItems: "center",
    justifyContent: "center",
  },

  textInputContainer: {
    position: "absolute",
    bottom: windowHeight(75),
    backgroundColor: appColors.whiteColor,
    alignItems: "center",
    borderRadius: windowHeight(10),
    width: windowWidth(450),
    zIndex: 1,
    paddingVertical: windowHeight(10),
    alignSelf: "center",
    shadowColor: appColors.blackColor,
    shadowOffset: { width: 0, height: 4 },
    shadowOpacity: 0.1,
    shadowRadius: 5,
    elevation: 1,
  },
  textInput: {
    color: appColors.blackColor,
    width: windowWidth(340),
    fontFamily: appFonts.medium,
  },
  pointerMarker: {
    position: "absolute",
    top: "53%",
    left: "50%",
    width: windowHeight(30),
    height: windowHeight(30),
    transform: [{ translateX: -15 }, { translateY: -15 }],
    alignItems: "center",
    justifyContent: "center",
  },
  confirmButton: {
    backgroundColor: appColors.blackColor,
    position: "absolute",
    height: windowHeight(40),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(35),
    bottom: windowHeight(10),
    right: windowHeight(10),
    left: windowHeight(10),
  },
  confirmText: {
    color: appColors.whiteColor,
    fontFamily: appFonts.semiBold,
  },
  pinImage: {
    width: windowHeight(30),
    height: windowHeight(30),
    resizeMode: "contain",
  },
  title: {
    color: appColors.primaryText,
    fontFamily: appFonts.bold,
    justifyContent: "center",
    fontSize: fontSizes.FONT20,
  },
  subtitle: {
    color: appColors.primaryText,
    fontFamily: appFonts.semiBold,
    textAlign: "left",
    justifyContent: "center",
    fontSize: fontSizes.FONT21,
    marginBottom: windowHeight(5),
    marginHorizontal: windowWidth(8),
  },
  container: {
    paddingVertical: windowHeight(1),
    paddingBottom: windowHeight(8),
  },
  optionContain: {
    justifyContent: "space-between",
    marginTop: windowHeight(11),
  },
  optionContainer: {
    alignItems: "center",
    marginBottom: windowHeight(10),
    backgroundColor: appColors.lightGray,
    borderRadius: windowWidth(35),
    paddingVertical: windowHeight(10),
    paddingHorizontal: windowWidth(38),
    borderWidth: windowHeight(1),
    borderColor: appColors.border,
  },
  radioButton: {
    height: windowWidth(25),
    width: windowWidth(25),
    borderRadius: windowHeight(10),
    justifyContent: "center",
    alignItems: "center",
    marginRight: windowWidth(12),
    backgroundColor: appColors.whiteColor,
    borderWidth: windowHeight(1),
    borderColor: appColors.border,
  },
  radioSelected: {
    height: windowHeight(8.5),
    width: windowHeight(8.5),
    borderRadius: windowHeight(4),
    backgroundColor: appColors.whiteColor,
    borderWidth: windowHeight(1),
    borderColor: appColors.border,
  },
  optionLabel: {
    fontSize: fontSizes.FONT18,
    color: appColors.regularText,
    fontFamily: appFonts.medium,
  },
  btnContainer: {
    justifyContent: "space-between",
    marginHorizontal: windowWidth(25),
    marginTop: windowHeight(4),
  },
  selectedOptionContainer: {
    backgroundColor: appColors.blackColor,
  },
  selectedOptionLabel: {
    color: appColors.whiteColor,
  },
  selectedOptionRadio: {
    backgroundColor: appColors.radioBg,
    borderColor: appColors.radioBg,
  },
  titleInput: {
    borderWidth: windowHeight(1.5),
    borderColor: appColors.border,
    borderRadius: windowWidth(35),
    marginVertical: windowHeight(8),
    color: appColors.primaryText,
    fontFamily: appFonts.regular,
    paddingHorizontal: windowWidth(18),
    height: windowHeight(40),
  },
  modelView: { alignItems: "flex-end" },
  inputLine: {
    width: windowHeight(0.5),
    height: windowHeight(30),
    borderLeftWidth: windowHeight(0.9),
  },
  addressMarkerIcon: {
    borderRadius: windowHeight(8),
    alignItems: "center",
    justifyContent: "center",
    marginHorizontal: windowWidth(15),
  },
});
export default styles;
